
Ruby - Bug #14416

Net::POPMail methods modify frozen literal when using default arg

01/29/2018 05:45 AM - Mzim (Michael Zimmerman)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.5.0p0 (2017-12-25 revision

61468) [x86_64-darwin17]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5:

DONE

Description

Net::POPMail #pop, #top, and #header can modify their "dest" argument. Problem is it has a default value of '', and so FrozenError

can be thrown.

Problem methods start here:

https://github.com/ruby/ruby/blob/582951e2c8995d6bab5ddaf98cd3816310f8d506/lib/net/pop.rb#L802

Associated revisions

Revision 7830a950efa6d312e7c662beabaa0f8d7b4e0a23 - 01/30/2018 12:22 AM - Eric Wong 

net/pop: make modified strings mutable

Thanks to Michael Zimmerman for the bug report

lib/net/pop.rb: make modified strings mutable

[ruby-core:85210] [Bug #14416]

test/net/pop/test_pop.rb: new test

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62099 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 7830a950 - 01/30/2018 12:22 AM - Eric Wong 

net/pop: make modified strings mutable

Thanks to Michael Zimmerman for the bug report

lib/net/pop.rb: make modified strings mutable

[ruby-core:85210] [Bug #14416]

test/net/pop/test_pop.rb: new test

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@62099 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 3993fbb5f6bfdae0bce040988d7e2dd632247cdc - 08/18/2018 08:35 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 62099: [Backport #14416]

    net/pop: make modified strings mutable

    Thanks to Michael Zimmerman for the bug report

    * lib/net/pop.rb: make modified strings mutable

      [ruby-core:85210] [Bug #14416]

    * test/net/pop/test_pop.rb: new test

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@64443 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 3993fbb5f6bfdae0bce040988d7e2dd632247cdc - 08/18/2018 08:35 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 62099: [Backport #14416]

    net/pop: make modified strings mutable

    Thanks to Michael Zimmerman for the bug report

    * lib/net/pop.rb: make modified strings mutable

      [ruby-core:85210] [Bug #14416]

    * test/net/pop/test_pop.rb: new test
https://github.com/ruby/ruby/blob/582951e2c8995d6bab5ddaf98cd3816310f8d506/lib/net/pop.rb#L802


 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@64443 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 3993fbb5 - 08/18/2018 08:35 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 62099: [Backport #14416]

    net/pop: make modified strings mutable

    Thanks to Michael Zimmerman for the bug report

    * lib/net/pop.rb: make modified strings mutable

      [ruby-core:85210] [Bug #14416]

    * test/net/pop/test_pop.rb: new test

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@64443 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 01/29/2018 11:41 PM - normalperson (Eric Wong)

mzimme@gmail.com wrote:

Net::POPMail #pop, #top, and #header can modify their "dest" argument. Problem is it has a default value of '', and so FrozenError can be

thrown.

 Thanks, will fix.

#2 - 01/30/2018 12:22 AM - Anonymous

- Status changed from Open to Closed

Applied in changeset trunk|r62099.

net/pop: make modified strings mutable

Thanks to Michael Zimmerman for the bug report

lib/net/pop.rb: make modified strings mutable

[ruby-core:85210] [Bug #14416]

test/net/pop/test_pop.rb: new test

#3 - 06/19/2018 02:42 AM - tgxworld (Guo Xiang Tan)

Anonymous wrote:

Applied in changeset trunk|r62099.

net/pop: make modified strings mutable

Thanks to Michael Zimmerman for the bug report

lib/net/pop.rb: make modified strings mutable

[ruby-core:85210] [Bug #14416]

test/net/pop/test_pop.rb: new test

 Can I check if this patch will be backported to Ruby 2.5?

#4 - 06/19/2018 02:53 AM - normalperson (Eric Wong)

- Status changed from Closed to Open

- Backport changed from 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5: UNKNOWN to 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5: REQUIRED

#5 - 06/19/2018 02:53 AM - normalperson (Eric Wong)

- Status changed from Open to Closed

#6 - 08/18/2018 08:35 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5: REQUIRED to 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5: DONE
ruby_2_5 r64443 merged revision(s) 62099.
